Foreman - Feature #13

improve debian integeration
09/15/2009 04:19 PM - Ohad Levy

Status: Closed
Priority: Normal
Assignee: Paul Kelly
Category: Host creation

Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/hammer-cl

i-foreman-puppet/pull/19

Description

Currently the debian/ubuntu release name is hard coded in the template, it should be possible to define it in the operating system
setting.

it would make most sense to do when we redesign the form (and not use AS), so we can dynamically show this option in ajax when
choosing a debian family os

Related issues:
Related to Foreman - Feature #164: Multiple Preseed/Kickstart support Closed 01/29/2010
Blocked by Foreman - Feature #177: Add an Operatingsystem Family concept Closed 03/11/2010

Associated revisions

Revision 9a9b3e75 - 04/20/2010 06:21 AM - Paul Kelly

Fixes #13 - Manage Debian family release-name

Revision 41ee480c - 12/08/2014 01:35 PM - Simon Lukasik

Use the word 'compliance’ in the url

SCAPtimony is said to confuse people.

Fixes #13

Revision 1d64ec87 - 02/17/2017 12:45 PM - Suresh Thirugnanasambandan
Improve output of the script

Fixes #13

History

#1 - 04/15/2010 04:29 PM - Paul Kelly

- Category set to Host creation

- Status changed from New to Ready For Testing
- Assignee set to Paul Kelly

- Branch set to feature/13-ubuntu-name

Added a release_name to the operatingsystem object
Patched preseed.rhtml to interpolate the operatingsystem.release_name
Added a local javascript function to operatingsystems/_form.html.erb that shows/hides the release_name field based upon the selected family

#2 - 04/20/2010 06:37 AM - Paul Kelly
- % Done changed from 0 to 100

Applied in changeset 9a9b3e756e6aa9883ae1961e7b9807044ec0ef39.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/9a9b3e756e6aa9883ae1961e7b9807044ec0ef39

#3 - 04/27/2010 07:12 AM - Ohad Levy
- Status changed from Ready For Testing to Closed

#4 - 08/01/2021 05:26 PM - The Foreman Bot
- Pull request https://github.com/theforeman/hammer-cli-foreman-puppet/pull/19 added
